BeagleOperation(3)

NAME
BeagleOperation - A list of integer indices which specify a partial likelihoods operation.

SYNOPSIS

#include <beagle.h>

  Public Attributes

int destinationPartials
int destinationScaleWrite
int destinationScaleRead
int child1Partials
int child1TransitionMatrix
int child2Partials
int child2TransitionMatrix

Detailed Description

A list of integer indices which specify a partial likelihoods operation.

Member Data Documentation

  int BeagleOperation::child1Partials
index of first child partials buffer

  int BeagleOperation::child1TransitionMatrix
index of transition matrix of first partials child buffer

  int BeagleOperation::child2Partials
index of second child partials buffer

  int BeagleOperation::child2TransitionMatrix
index of transition matrix of second partials child buffer

  int BeagleOperation::destinationPartials
index of destination, or parent, partials buffer

  int BeagleOperation::destinationScaleRead
index of scaling buffer to read from (if set to BEAGLE_OP_NONE then use of existing scale factors is disabled)

  int BeagleOperation::destinationScaleWrite
index of scaling buffer to write to (if set to BEAGLE_OP_NONE then calculation of new scalers is disabled)

Author

Generated automatically by Doxygen for BEAGLE from the source code.